# check and get commandline args
($#ARGV >=1) || die "ERROR: first two arguments should be input path and output path (place each one in double quotes)\n";
$infilepath=$ARGV[0];
$outfilepath=$ARGV[1];

# open files
open(IN,$infilepath) || die "cannot open input file";
open(OUT,">".$outfilepath) || die "cannot open output file";

# write out modified text
while(<IN>)
	{
	# remove newline which is unpredictable
	chomp($_);
	# reverse the line
	$outline = reverse($_);
	# now write it out with predictable newline at end
	print OUT $outline . "\n";
	}

# close files
close(IN);
close(OUT);
